commit:     1d13523f82f0b24f3e1cc7a9a8676baf7edb3fb8
Author:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
AuthorDate: Thu Jun  6 09:29:15 2019 +0000
Commit:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
CommitDate: Thu Jun  6 09:29:15 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1d13523f

net-misc/cni-plugins: Version bump to 0.8.1

Package-Manager: Portage-2.3.67, Repoman-2.3.14
Signed-off-by: Manuel Rüger <mrueg <AT> gentoo.org>

 net-misc/cni-plugins/Manifest                 |  1 +
 net-misc/cni-plugins/cni-plugins-0.8.1.ebuild | 36 +++++++++++++++++++++++++++
 2 files changed, 37 insertions(+)

diff --git a/net-misc/cni-plugins/Manifest b/net-misc/cni-plugins/Manifest
index 98fd186515c..4103de17f4e 100644
--- a/net-misc/cni-plugins/Manifest
+++ b/net-misc/cni-plugins/Manifest
@@ -1,2 +1,3 @@
 DIST cni-plugins-0.7.5.tar.gz 862670 BLAKE2B 
17734beabde562cfd52efd479cb24805681a3d8a8abd4fd9fdcf9dbd891b2d5b3026b84a880355388c893db147fd0952786a86716438e140a46cc9a2dfffe0c2
 SHA512 
7ab43f88b4763907f56ff26d684385e5a3f6314ffb4bcbe356ec33a014fc15207392bd26e2d3041e117c604a386d21841a37d093b04e003303554b03721b32c6
 DIST cni-plugins-0.8.0.tar.gz 3249919 BLAKE2B 
78c0b20c3745d8ceb3596b65a57323cc3baaa4ca02bed6de2bffeb5dbc7075f86f536faa5b75ad1bc05c359b2d9add8e6084831110337c0df08665b252eb8413
 SHA512 
de685a66e0e875e8a2209b76c5d1f5fd0e426804e3db6084cf2e89695a8b1876eae47ff1fcfdf065a3b027918fe7c4775d2321358402dbd1206928538edb52b4
+DIST cni-plugins-0.8.1.tar.gz 3253670 BLAKE2B 
7de5b53e310b496137c0ea0d6b4d22d5604e49fb4ada456eaad377a0b20d0b8883e7420a8d5f8cf92922e98b493608d495126772fd4205e4efb42b784fe3cea7
 SHA512 
ed57162fc3d014c897ee2f7f82b738624ca42ad7c238ac6ac5c1eb9ac865fe27f8ded1510cfb131f7b43e44f6cd0366ab83011386bcb6add36ea11235767760f

diff --git a/net-misc/cni-plugins/cni-plugins-0.8.1.ebuild 
b/net-misc/cni-plugins/cni-plugins-0.8.1.ebuild
new file mode 100644
index 00000000000..c8c1659634b
--- /dev/null
+++ b/net-misc/cni-plugins/cni-plugins-0.8.1.ebuild
@@ -0,0 +1,36 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit golang-vcs-snapshot
+
+KEYWORDS="~amd64"
+DESCRIPTION="Standard networking plugins for container networking"
+EGO_PN="github.com/containernetworking/plugins"
+HOMEPAGE="https://github.com/containernetworking/plugins";
+SRC_URI="https://${EGO_PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+LICENSE="Apache-2.0"
+SLOT="0"
+IUSE="hardened"
+
+src_compile() {
+       pushd src || die
+       local i
+       for i in 
plugins/{meta/{bandwidth,firewall,flannel,portmap,sbr,tuning},main/{bridge,host-device,ipvlan,loopback,macvlan,ptp,vlan},ipam/{dhcp,host-local,static},sample};
 do
+               CGO_LDFLAGS="$(usex hardened '-fno-PIC ' '')" 
GOPATH="${WORKDIR}/${P}" go install -v "${EGO_PN}/${i}" || die
+       done
+       popd || die
+}
+
+src_install() {
+       exeinto /opt/cni/bin
+       doexe bin/*
+       pushd src/${EGO_PN} || die
+       dodoc README.md
+       local i
+       for i in 
plugins/{meta/{bandwidth,firewall,flannel,portmap,sbr,tuning},main/{bridge,host-device,ipvlan,loopback,macvlan,ptp,vlan},ipam/{dhcp,host-local,static},sample};
 do
+               newdoc README.md ${i##*/}.README.md
+       done
+       popd || die
+}

Reply via email to